### A free/open-source library for quantitative finance

Public Member Functions
AnalyticBSMHullWhiteEngine Class Reference
Vanilla option engines

analytic european option pricer including stochastic interest rates More...

`#include <ql/pricingengines/vanilla/analyticbsmhullwhiteengine.hpp>`

Inheritance diagram for AnalyticBSMHullWhiteEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticBSMHullWhiteEngine (Real equityShortRateCorrelation, const boost::shared_ptr< GeneralizedBlackScholesProcess > &, const boost::shared_ptr< HullWhite > &)
void | calculate () const

## Detailed Description

analytic european option pricer including stochastic interest rates

References:

Brigo, Mercurio, Interest Rate Models

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature